import { Cluster } from './cluster';
import { Construct } from '@aws-cdk/core';
/**
 * (deprecated) Helm Chart options.
 *
 * @deprecated
 */
export interface HelmChartOptions {
    /**
     * (deprecated) The name of the chart.
     *
     * @deprecated
     */
    readonly chart: string;
    /**
     * (deprecated) The name of the release.
     *
     * @default - If no release name is given, it will use the last 63 characters of the node's unique id.
     * @deprecated
     */
    readonly release?: string;
    /**
     * (deprecated) The chart version to install.
     *
     * @default - If this is not specified, the latest version is installed
     * @deprecated
     */
    readonly version?: string;
    /**
     * (deprecated) The repository which contains the chart.
     *
     * For example: https://kubernetes-charts.storage.googleapis.com/
     *
     * @default - No repository will be used, which means that the chart needs to be an absolute URL.
     * @deprecated
     */
    readonly repository?: string;
    /**
     * (deprecated) The Kubernetes namespace scope of the requests.
     *
     * @default default
     * @deprecated
     */
    readonly namespace?: string;
    /**
     * (deprecated) The values to be used by the chart.
     *
     * @default - No values are provided to the chart.
     * @deprecated
     */
    readonly values?: {
        [key: string]: any;
    };
}
/**
 * (deprecated) Helm Chart properties.
 *
 * @deprecated
 */
export interface HelmChartProps extends HelmChartOptions {
    /**
     * (deprecated) The EKS cluster to apply this configuration to.
     *
     * [disable-awslint:ref-via-interface]
     *
     * @deprecated
     */
    readonly cluster: Cluster;
}
/**
 * (deprecated) Represents a helm chart within the Kubernetes system.
 *
 * Applies/deletes the resources using `kubectl` in sync with the resource.
 *
 * @deprecated
 */
export declare class HelmChart extends Construct {
    /**
     * (deprecated) The CloudFormation reosurce type.
     *
     * @deprecated
     */
    static readonly RESOURCE_TYPE = "Custom::AWSCDK-EKS-HelmChart";
    /**
     * @deprecated
     */
    constructor(scope: Construct, id: string, props: HelmChartProps);
    private getOrCreateHelmChartHandler;
}
